// Herbruikbare package...
package be.hogent.h20;

public class H20_StackInheritance extends H20_List {
	
	public H20_StackInheritance() {
		super ("Stack");
	}
	
	public synchronized void push(Object object) {
		insertAtFront(object);
	}
	
	public synchronized Object pop() throws H20_EmptyListException {
		return removeFromFront();
	}

}
